%define name	 kmess
%define version	 1.4
%define fversion 1.4
%define release	 %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Graphical desktop/KDE
License:	GPL
Source0:        http://ovh.dl.sourceforge.net/sourceforge/kmess/%{name}-%{fversion}.tar.bz2
#Patch0:	%{name}-applnk-comment.patch.bz2
#Patch1:	%{name}-1.2.1-fix-applnk-type.patch.bz2
#Patch2:		kmess-fix-compile-gcc-3.4.patch.bz2
URL:		http://kmess.sourceforge.net
BuildRequires:	libqt3-devel libz-devel XFree86-devel libpng-devel libjpeg-devel kdebase-devel
BuildRequires:	libkdenetwork2-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Summary:	Yet another MSN messenger for KDE


%description
KMess is an easy-to-use MSN Messenger client for KDE. Install it
if you want an MSN Messenger client.

%prep
%setup -q -n %{name}-%{fversion}
#%patch0 -p0 -b .orig
#%patch1 -p0 -b .orig
#%patch2 -p1 -b .fix_compile_gcc_3_4

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure	--build=%{_target_platform} \
		--prefix=%{_prefix} \
		--libdir=%{_libdir} \
		--disable-debug \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-rpath \
		--disable-embedded \
		--enable-fast-install=yes \
		--with-qt-dir=%{_prefix}/lib/qt3 \
		--with-xinerama 
#		--enable-final
#		do not use this, makes kmess fail to compile

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

install -d $RPM_BUILD_ROOT/%{_menudir}
kdedesktop2mdkmenu.pl %{name} "Networking/Instant messaging" $RPM_BUILD_ROOT%{_datadir}/applications/kde/kmess.desktop $RPM_BUILD_ROOT%{_menudir}/%{name} kde
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/%{name}.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%{name}.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

#Relativisation of symlink, rpm fails to do it
rm -f $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/%{name}/common
ln -sf ../common $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/%{name}/common

%find_lang %{name}

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc %{_docdir}/HTML/*/%{name}
%doc AUTHORS INSTALL TODO README ChangeLog
%{_bindir}/%{name}
%{_datadir}/apps/%{name}
%{_datadir}/applications/kde/kmess.desktop
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/22x22/apps/kmess.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_iconsdir}/hicolor/64x64/apps/kmess.png
%{_iconsdir}/hicolor/128x128/apps/kmess.png
%{_iconsdir}/locolor/16x16/apps/%{name}.png
%{_iconsdir}/locolor/22x22/apps/kmess.png
%{_iconsdir}/locolor/32x32/apps/%{name}.png
%{_datadir}/sounds/%{name}*.ogg
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}

%changelog
* Fri Sep 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.4-1mdk
- New release 1.4 ( Bug fixes release )
- mkrel 
- drop patch 2 ( Merged Upstream )

* Thu Mar 11 2005 Nicolas Lecureuil <neoclust@mandrake.org> 1.3.0-1mdk
- 1.3.0
- Remove Patch 1  merged upstream
- Rediff  Patch 2 

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-4mdk
- Rebuild

* Sat Jul 26 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.2.1-3mdk
- changed description (Adam Williamson)

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.2.1-2mdk
- rebuild
- buildrequires

* Thu Jun 19 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.2.1-1mdk
- 1.2.1
- --enable-final
- fix path to qt3 (lib64 issues)
- drop P0(fixed upstream:)
- fix invalid type in .desktop file

* Fri Apr 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.1-2mdk
- --with-xinerama
- fix buildrequires
- fix so we don't get invalid binary names (from gc)

* Sat Mar 15 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.1-1mdk
- 1.1
- updated Patch0 to also fix broken Type in kmess.desktop
- --enable-final now works
- added libpng-devel and libjpeg-devel to BuildRequires

* Thu Mar 13 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0-3mdk
- fix BuildRequires

* Thu Mar 13 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0-2mdk
- fixed summary
- add comment to desktop item (Patch0)

* Wed Mar 12 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0-1mdk
- initial mdk package
